- Home
- Resources
- Roles admin API
User roles handling WS
POST /admin/roles/assign
Assign user or group to given role
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the assignment has or has
not been succeeded. |
POST /admin/roles/unassign
Unassign user or group from given role
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the unassignment has or has
not been succeeded. |
GET /admin/roles/permissionSets/json
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /admin/roles/permissionSubsets/{permissionSetGuid}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| permissionSetGuid |
path |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
map of array of HdcPermissionNode
(JSON) |
|
GET /admin/roles/permissions/json
Get list of roles
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
array of HdcPermissionNode
(JSON) |
list of persmissions for user in form of json reponse |
GET /admin/roles/evaluate/user/{userId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| userId |
path |
|
|
|
GET /admin/roles/members/json/{roleId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| roleId |
path |
|
|
|
| mode |
query |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|